# service (Identity v2)

## service create

Create new service

    openstack service create
        [--name <name>]
        [--description <description>]
        <type>

--name <name>

  New service name

--description <description>

  New service description

type

  New service type (compute, image, identity, volume, etc)

## service delete

Delete service(s)

    openstack service delete <service> [<service> ...]

service

  Service(s) to delete (type, name or ID)

## service list

List services

    openstack service list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

## service show

Display service details

    openstack service show [--catalog] <service>

--catalog

  Show service catalog information

service

  Service to display (type, name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.